--------------------------------------------------------------------------------
--  File     : Tavern_ext
--  Author(s): Prokopovich Larisa
--
--  Summary  : Скрипт управления локацией.
--
--  Copyright © 2012 Floodlight Games.  All rights reserved.
--------------------------------------------------------------------------------
function OnFirstEntry()
	music:Stop(true)
	music:PlayLoopWithDelay(10, "Among_Fields")
	room.sfx:Play ("jingle_10_boom")	--звук джингла при первом входе

	room.sfx:Play("invillage")				-- я у таверны!
	stars:Show("M_TO_BRIDGE", "3")
	stars:Show("M_TAVERN_DOOR", "3")
	stars:Show("M_WELL", "2")
	stars:Show("M_DOGHOUSE", "2")
end
--------------------------------------------------------------------------------
function OnEntry()
	music:PlayLoopWithDelay(20, "Among_Fields") 
	ambient:Play("Tavern_ext")
end
--------------------------------------------------------------------------------
function OnMouseClickOnItem(item)
	local itemName = item:GetName()
	
	if itemName == "M_TO_SCARY_PLACE" then							--переход в болото
		chapter:JumpRoom("Scary_place_exit")
		return true
	elseif itemName == "M_TAVERN_DOOR" then							--переход в таверну
		chapter:JumpRoom("Tavern_int")
		return true
	elseif itemName == "M_TO_BRIDGE" then							--переход к мосту
		chapter:JumpRoom("Bridge")
		return true
		
	elseif itemName == "M_DOGHOUSE" then							--переход в close-up с будкой
		chapter:JumpCloseup("Tavern_ext_Doghouse")
		return true
	elseif itemName == "M_WELL" then								--переход в close-up с колодцем
		chapter:JumpCloseup("Tavern_ext_Well")			
		return true
	end
end
--------------------------------------------------------------------------------
function OnClickItemOnItem(item)							
	local itemName = item:GetName()

	if itemName == "M_DOGHOUSE" then								--переход в close-up с будкой
		chapter:JumpCloseup("Tavern_ext_Doghouse")
		return true
	elseif itemName == "M_WELL" then								--переход в close-up с колодцем
		chapter:JumpCloseup("Tavern_ext_Well")			
		return true
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_DogHouse(value)				--закрыть close-up с будкой
	room:GetItem("M_DOGHOUSE"):Hide()
	room:GetItem("ROPE"):Hide()
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_Well(value)					--закрыть close-up с колодцем
	room:GetItem("M_WELL"):Hide()
	room:GetItem("BUCKET"):Hide()
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Cheat_TavernExt(value)							--выполнить все в локации  !!!
	cstore:SetKey("Close_up_DogHouse", true)
	cstore:SetKey("Close_up_Well", true)
end
--------------------------------------------------------------------------------
function CheatSkip () 														--выполнить все в предыдущих локациях   !!!
	--добавить инвентарные предметы
	inventory:CheatLoadAndAddItem ("SPADE_Q", "Hut_1st_floor", 0)
	inventory:CheatLoadAndAddItem ("KNIFE_Q", "Hut_1st_floor_Cabinet", 0)
	
	if inventory:IsItemExisting("MATCHES") then
		inventory:EraseOneItemFromCell("MATCHES")
	end
	if inventory:IsItemExisting("KNIFE") then
		inventory:EraseOneItemFromCell("KNIFE")
	end

	-- отключить ветку хинтов
	hint:Cheat("M_STUB")
	
	--локация Gate
	cstore:SetKey("Cheat_Gate", true)
	--локация Hut_1st_floor
	cstore:SetKey("Cheat_Hut1stFloor1", true)
	cstore:SetKey("Cheat_Hut1stFloor2", true)
	--локация Hut_2nd_floor
	cstore:SetKey("Cheat_Hut2ndFloor", true)
	--локация Scary_glade
	cstore:SetKey("Cheat_ScaryGlade1", true)
	--локация Witch's_house_ext
	cstore:SetKey("Cheat_WitchHouseExt1", true)
	cstore:SetKey("Cheat_WitchHouseExtFlytrap", true)
	cstore:SetKey("Cheat_WitchHouseExtMagicPlace", true)
	--локация Witch's_house_int
	cstore:SetKey("Cheat_WitchHouseInt1", true)
	--локация Scary_place_exit
	cstore:SetKey("Cheat_ScaryPlaceExit1", true)
	cstore:SetKey("Cheat_Scary_place_exit_Skeleton", true)
end